- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- ProfileAppInstallInstance
- Try it!
Generate report of managed Chrome profiles that have a specified app installed.
HTTP request
GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findInstalledAppProfiles
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customer |
Required. Customer id or "my_customer" to use the customer associated to the account making the request. |
Query parameters
| Parameters | |
|---|---|
orgUnitId |
Optional. The ID of the organizational unit. |
appId |
Required. Unique identifier of the app. For Chrome apps and extensions, the 32-character id (e.g. ehoadneljpdggcbbknedodolkkjodefl). For Android apps, the package name (e.g. com.evernote). |
pageSize |
Optional. Maximum number of results to return. Maximum and default are 100. |
pageToken |
Optional. Token to specify the page of the request to be returned. |
orderBy |
Optional. Field used to order results. Supported order by fields:
|
filter |
Optional. Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Supported filter fields:
|
appType |
Type of the app. Optional. If not provided, an app type will be inferred from the format of the app ID. |
Request body
The request body must be empty.
Response body
Response containing a list of profiles with queried app installed.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"profiles": [
{
object ( |
| Fields | |
|---|---|
profiles[] |
A list of profiles which have the app installed. Sorted in ascending alphabetical order on the profile.Email field. |
nextPageToken |
Token to specify the next page of the request. |
totalSize |
Total number of profiles matching request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/chrome.management.reports.readonly
ProfileAppInstallInstance
Describes a profile reporting Chrome Profile information.
| JSON representation |
|---|
{ "profileId": string, "profilePermanentId": string, "email": string, "profileOrgUnitId": string } |
| Fields | |
|---|---|
profileId |
Output only. The Chrome client side profile ID. |
profilePermanentId |
Output only. Profile permanent ID is the unique identifier of a profile within one customer. |
email |
Output only. The email of the profile. |
profileOrgUnitId |
Output only. The organizational unit id of the profile. |